Run of fresh-snapshots for openssl

Try this locally (using silver-platter):

debian-svp new-upstream --snapshot openssl 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
Processing: openssl
Total 328681 (delta 10065), reused 23612 (delta 8117)

Total 16 (delta 3), reused 14 (delta 1)
Using upstream branch https://github.com/openssl/openssl.git (guessed)
Elapsed time: 0:14:39.497910
Traceback (most recent call last):
  File "/usr/lib/python3.7/http/client.py", line 554, in _get_chunk_left
    chunk_left = self._read_next_chunk_size()
  File "/usr/lib/python3.7/http/client.py", line 521, in _read_next_chunk_size
    return int(line, 16)
ValueError: invalid literal for int() with base 16: b''

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/http/client.py", line 586, in _readinto_chunked
    chunk_left = self._get_chunk_left()
  File "/usr/lib/python3.7/http/client.py", line 556, in _get_chunk_left
    raise IncompleteRead(b'')
http.client.IncompleteRead: IncompleteRead(0 bytes read)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 777, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 744, in main
    resume_subworker_result=resume_subworker_result)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 597, in process_package
    resume_subworker_result, subpath=subpath)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 274, in make_changes
    trust_package=TRUST_PACKAGE)
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 356, in merge_upstream
    upstream_branch, config=config, local_dir=tree.controldir)
  File "/home/janitor/.config/breezy/plugins/debian/upstream/branch.py", line 415, in from_branch
    upstream_branch.repository, revision_id=last_revision)
  File "/home/janitor/debian-janitor/breezy/breezy/repository.py", line 720, in fetch
    return inter.fetch(revision_id=revision_id, find_ghosts=find_ghosts)
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 682, in fetch
    self.fetch_objects(wants_recorder, mapping, limit=limit)
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 765, in fetch_objects
    determine_wants, graphwalker, f.write)
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 435, in fetch_pack
    progress)
  File "/usr/lib/python3/dist-packages/dulwich/client.py", line 1762, in fetch_pack
    progress)
  File "/usr/lib/python3/dist-packages/dulwich/client.py", line 687, in _handle_upload_pack_tail
    pkt = proto.read_pkt_line()
  File "/usr/lib/python3/dist-packages/dulwich/protocol.py", line 201, in read_pkt_line
    sizestr = read(4)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/__init__.py", line 2042, in read
    return self._actual.read(amt)
  File "/usr/lib/python3.7/http/client.py", line 457, in read
    n = self.readinto(b)
  File "/usr/lib/python3.7/http/client.py", line 491, in readinto
    return self._readinto_chunked(b)
  File "/usr/lib/python3.7/http/client.py", line 602, in _readinto_chunked
    raise IncompleteRead(bytes(b[0:total_bytes]))
http.client.IncompleteRead: IncompleteRead(0 bytes read)

Full worker log